<!DOCTYPE html>
<html>

	<head>
		<title>Exemple HTML sans mise en forme</title>
		<link rel="stylesheet" href="https://unpkg.com/purecss@1.0.1/build/pure-min.css" integrity="sha384-oAOxQR6DkCoMliIh8yFnu25d7Eq/PHS21PClpwjOTeU2jRSq11vu66rf90/cZr47" crossorigin="anonymous">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<style>
		</style>
	</head>
	<body>

	<div id='page'>

		<header id='entete'>
		<h1>HTML et CSS</h1>
		</header>

		<nav id='menu'>
			<div>
				<ul>
					<li><a href='#lien-vers-menu1'>Menu 1</a></li>
					<li><a href='#lien-vers-menu2'>Menu 2</a></li>

					<li><a href='#lien-vers-menu3'>Menu 3</a></li>
					<li><a href='#lien-vers-menu4'>Menu 4</a></li>
					<li><a href='#lien-vers-menu5'>Menu 5</a></li>
				</ul>
			</div>
			<div>
				<ul>
					<li><a href='#lien-vers-sousmenu-1'>Sous-Menu 1</a></li>

					<li><a href='#lien-vers-sousmenu-2'>Sous-Menu 2</a></li>
					<li><a href='#lien-vers-sousmenu-3'>Sous-Menu 3</a></li>
					<li><a href='#lien-vers-sousmenu-4'>Sous-Menu 4</a></li>
					<li><a href='#lien-vers-sousmenu-5'>Sous-Menu 5</a></li>
				</ul>
			</div>
		</nav>

		<div id='liens'>
		<span>Les Liens</span>
		<ul>
			<li>Type1
				<ul>
					<li><span>titre</span>:<a href='http://lien-1.com'>test 1</a></li>
					<li><span>titre</span>:<a href='http://lien-2.com'>test 2</a></li>

				</ul>
			</li>
			<li>Type2
				<ul>
					<li><span>titre</span>:<a href='http://lien-3.com'>test 3</a></li>
					<li><span>titre</span>:<a href='http://lien-4.com'>test 4</a></li>

				</ul>
			</li>
			<li>Type3
				<ul>
					<li><span>titre</span>:<a href='http://lien-5.com'>test 5</a></li>
					<li><span>titre</span>:<a href='http://lien-6.com'>test 6</a></li>

				</ul>
			</li>
			<li>Type4
				<ul>
					<li><span>titre</span>:<a href=''>test 1</a></li>
					<li><span>titre</span>:<a href=''>test 2</a></li>

				</ul>
			</li>


		</ul>
		</div>

		<section id='rubriques'>
		<span>Rubriques</span>
		<ul>
			<li>Rub1
				<ul>

					<li>test 1</li>
					<li>test 2</li>
				</ul>
			</li>
			<li>Rub2
				<ul>
					<li>test 1</li>
					<li>test 2</li>

				</ul>
			</li>
			<li>Rub3
				<ul>
					<li>test 1</li>
					<li>test 2</li>
				</ul>
			</li>

			<li>Rub4
				<ul>
					<li>test 1</li>
					<li>test 2</li>
				</ul>
			</li>


		</ul>
		</section>


		<main id='conteneur'>
			<h2>Les News</h2>
			<div id='time'></div>
			<h3>Lorem ipsum...</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
			Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
			fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
			culpa qui officia deserunt mollit anim id est laborum.</p>
			<h3>Sit amet...</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
			Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
			fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
			culpa qui officia deserunt mollit anim id est laborum.</p>

      <h2>Consectetur</h2>
			<h3>Exceptur sint occaecat</h3>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
			Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
			fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
			culpa qui officia deserunt mollit anim id est laboruma.</p>
		</main>

		<footer id='footer'>
		&copy;  IUT AMIENS
		</footer>
	</div>
  <script>

    console.log("Il y a "+document.getElementsByTagName('a').length + " lien");
    var x = document.getElementsByTagName("a");
    var i;
    for (i = 0; i < x.length; i++) {
        console.log(x[i].href);
        }
    console.log("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
    var x= document.querySelectorAll('div');
    for (i = 0; i < x.length; i++) {
        console.log(x[i]['id']);
        }
        console.log("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
    x.forEach(element => console.log(element['id']));
    console.log("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
    x= document.querySelectorAll("h1,h2,h3,h4,h5,h6");
    x.forEach(element => console.log(Object.values(element)));
    x.forEach(element => console.log(element.textContent));
    console.log("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
    i =1;
    x.forEach(function(element){
         element.textContent =i+"."+ element.textContent
         i+=1;
    })

    console.log("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
    x= document.querySelectorAll("p");
    x.forEach(function(element){
        element.textContent =element.textContent+ " j'ai une taille de " + element.textContent.length;
        i+=1;
   })
   console.log("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
    
    function mafonction() { 
        var today = new Date();
        var time = today.getHours() + ":" + today.getMinutes() + ":" + today.getSeconds();
        var divvoulue = document.getElementById("time");
        divvoulue.textContent=time;
        console.log(time); 
        setTimeout(mafonction, 5000); 
    }
    mafonction()

  </script>
	</body>
</html>